com.genesyslab.wfm7.API.service.config720

## Class CfgRotation

- java.lang.Object
- - com.genesyslab.wfm7.API.service.config720.CfgRotation

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgRotation
      extends java.lang.Object
      implements java.io.Serializable

  Rotating Pattern information
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private long` | `timestamp` A timestamp value -- marks time point when Object information was obtained
    `private java.lang.String` | `wmName` Name of Rotating Pattern
    `private int` | `wmRotatingSchId` Rotating Pattern ID
    `private double` | `wmRotationStart` Rotation Start Date (`OleDateTime`)
    `private CfgRotationWeek[]` | `wmRotationWeeks` An array of Week Patterns (`CfgRotationWeek`) in Rotating Pattern
    `private int` | `wmRotationWeeksNSizeIs` Number of elements in wmRotationWeeks array
    `private int` | `wmSiteId` Site ID, identifies CfgSite object

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgRotation()`
    `CfgRotation(int wmRotatingSchId, int wmSiteId, java.lang.String wmName, double wmRotationStart, int wmRotationWeeksNSizeIs, CfgRotationWeek[] wmRotationWeeks, long timestamp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `long` | `getTimestamp()` Gets the timestamp value for this CfgRotation.
    `java.lang.String` | `getWmName()` Gets the wmName value for this CfgRotation.
    `int` | `getWmRotatingSchId()` Gets the wmRotatingSchId value for this CfgRotation.
    `double` | `getWmRotationStart()` Gets the wmRotationStart value for this CfgRotation.
    `CfgRotationWeek[]` | `getWmRotationWeeks()` Gets the wmRotationWeeks value for this CfgRotation.
    `int` | `getWmRotationWeeksNSizeIs()` Gets the wmRotationWeeksNSizeIs value for this CfgRotation.
    `int` | `getWmSiteId()` Gets the wmSiteId value for this CfgRotation.
    `int` | `hashCode()`
    `void` | `setTimestamp(long timestamp)` Sets the timestamp value for this CfgRotation.
    `void` | `setWmName(java.lang.String wmName)` Sets the wmName value for this CfgRotation.
    `void` | `setWmRotatingSchId(int wmRotatingSchId)` Sets the wmRotatingSchId value for this CfgRotation.
    `void` | `setWmRotationStart(double wmRotationStart)` Sets the wmRotationStart value for this CfgRotation.
    `void` | `setWmRotationWeeks(CfgRotationWeek[] wmRotationWeeks)` Sets the wmRotationWeeks value for this CfgRotation.
    `void` | `setWmRotationWeeksNSizeIs(int wmRotationWeeksNSizeIs)` Sets the wmRotationWeeksNSizeIs value for this CfgRotation.
    `void` | `setWmSiteId(int wmSiteId)` Sets the wmSiteId value for this CfgRotation.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wmRotatingSchId

          private int wmRotatingSchId

      Rotating Pattern ID

    - #### wmSiteId

          private int wmSiteId

      Site ID, identifies CfgSite object

    - #### wmName

          private java.lang.String wmName

      Name of Rotating Pattern

    - #### wmRotationStart

          private double wmRotationStart

      Rotation Start Date (`OleDateTime`)

    - #### wmRotationWeeksNSizeIs

          private int wmRotationWeeksNSizeIs

      Number of elements in wmRotationWeeks array

    - #### wmRotationWeeks

          private CfgRotationWeek[] wmRotationWeeks

      An array of Week Patterns (`CfgRotationWeek`) in Rotating Pattern

    - #### timestamp

          private long timestamp

      A timestamp value -- marks time point when Object information was obtained

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### CfgRotation

          public CfgRotation()

    - #### CfgRotation

          public CfgRotation(int wmRotatingSchId,
                     int wmSiteId,
                     java.lang.String wmName,
                     double wmRotationStart,
                     int wmRotationWeeksNSizeIs,
                     CfgRotationWeek[] wmRotationWeeks,
                     long timestamp)

  - ### Method Detail

    - #### getWmRotatingSchId

          public int getWmRotatingSchId()

      Gets the wmRotatingSchId value for this CfgRotation.
      Returns:
        wmRotatingSchId

    - #### setWmRotatingSchId

          public void setWmRotatingSchId(int wmRotatingSchId)

      Sets the wmRotatingSchId value for this CfgRotation.
      Parameters:
        `wmRotatingSchId` -

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the wmSiteId value for this CfgRotation.
      Returns:
        wmSiteId

    - #### setWmSiteId

          public void setWmSiteId(int wmSiteId)

      Sets the wmSiteId value for this CfgRotation.
      Parameters:
        `wmSiteId` -

    - #### getWmName

          public java.lang.String getWmName()

      Gets the wmName value for this CfgRotation.
      Returns:
        wmName

    - #### setWmName

          public void setWmName(java.lang.String wmName)

      Sets the wmName value for this CfgRotation.
      Parameters:
        `wmName` -

    - #### getWmRotationStart

          public double getWmRotationStart()

      Gets the wmRotationStart value for this CfgRotation.
      Returns:
        wmRotationStart

    - #### setWmRotationStart

          public void setWmRotationStart(double wmRotationStart)

      Sets the wmRotationStart value for this CfgRotation.
      Parameters:
        `wmRotationStart` -

    - #### getWmRotationWeeksNSizeIs

          public int getWmRotationWeeksNSizeIs()

      Gets the wmRotationWeeksNSizeIs value for this CfgRotation.
      Returns:
        wmRotationWeeksNSizeIs

    - #### setWmRotationWeeksNSizeIs

          public void setWmRotationWeeksNSizeIs(int wmRotationWeeksNSizeIs)

      Sets the wmRotationWeeksNSizeIs value for this CfgRotation.
      Parameters:
        `wmRotationWeeksNSizeIs` -

    - #### getWmRotationWeeks

          public CfgRotationWeek[] getWmRotationWeeks()

      Gets the wmRotationWeeks value for this CfgRotation.
      Returns:
        wmRotationWeeks

    - #### setWmRotationWeeks

          public void setWmRotationWeeks(CfgRotationWeek[] wmRotationWeeks)

      Sets the wmRotationWeeks value for this CfgRotation.
      Parameters:
        `wmRotationWeeks` -

    - #### getTimestamp

          public long getTimestamp()

      Gets the timestamp value for this CfgRotation.
      Returns:
        timestamp

    - #### setTimestamp

          public void setTimestamp(long timestamp)

      Sets the timestamp value for this CfgRotation.
      Parameters:
        `timestamp` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.